Page MenuHomePhabricator

Reportupdater: put history and pid files inside the project folder [5 pts] {lamb}
Closed, ResolvedPublic

Description

Reportupdater is not running as often as it could because many instances will block on the same file. We can configure each instance to use a different lock file.

  • .reportupdater.history
  • .reportupdater.pid

Event Timeline

kevinator raised the priority of this task from to Normal.
kevinator updated the task description. (Show Details)
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 5:33 PM
mforns claimed this task.Jul 6 2015, 8:20 PM
mforns edited projects, added Analytics-Kanban; removed Analytics-Backlog.
mforns set Security to None.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.
mforns moved this task from In Progress to Next Up on the Analytics-Kanban board.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.Jul 9 2015, 9:04 PM

Change 224077 had a related patch set uploaded (by Mforns):
Move pid and history files to project folder

https://gerrit.wikimedia.org/r/224077

Change 224077 merged by Milimetric:
Move pid and history files to project folder

https://gerrit.wikimedia.org/r/224077

mforns moved this task from In Code Review to Done on the Analytics-Kanban board.Jul 24 2015, 3:34 PM
kevinator closed this task as Resolved.Jul 29 2015, 2:41 PM